package com.bonus.canteen.core.supply.vo;

import io.swagger.annotations.ApiModelProperty;

public class DrpMaterialSupplierWinRecordsVO {
   @ApiModelProperty("原料id")
   private Long materialId;
   @ApiModelProperty("计量单位id")
   private Long unitId;
   @ApiModelProperty("中标价格")
   private Integer winPrice;

   public Long getMaterialId() {
      return this.materialId;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public Integer getWinPrice() {
      return this.winPrice;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setWinPrice(final Integer winPrice) {
      this.winPrice = winPrice;
   }


   protected boolean canEqual(final Object other) {
      return other instanceof DrpMaterialSupplierWinRecordsVO;
   }


   public String toString() {
      Long var10000 = this.getMaterialId();
      return "DrpMaterialSupplierWinRecordsVO(materialId=" + var10000 + ", unitId=" + this.getUnitId() + ", winPrice=" + this.getWinPrice() + ")";
   }
}
